"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.emit = void 0;
const Delimiters = require("./delimiters");
const RoundBrackets = require("./round_brackets");
function emit(_arguments) {
    return [RoundBrackets.open, ...precursors(_arguments), RoundBrackets.close];
}
exports.emit = emit;
function precursors(_arguments) {
    if (_arguments == null || _arguments.length === 0)
        return [];
    return _arguments
        .flatMap((g, i, arr) => i === arr.length - 1 ? g : [...g, Delimiters.comma, Delimiters.space]);
}
