/**
 * Emits tokens for a given namespace path using the dot separator.
 * @param path The given namespace path to tokenize.
 * @param isEndDot Emits or not the dot token at the end.
 * @returns An array of tokens for the given namespace path.
 */
export declare function emit(path: string | string[] | undefined, isEndDot?: boolean): string[];
